Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	DirectFB - Graphics abstraction library for the Linux Framebuffer Device.
Name:		DirectFB
Version:	1.4.11
Release:	1
License: 	GNU/GPL
URL:		http://www.directfb.org
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

%define install_version 1.4-5

# prevent the propietary openGL incarnations
BuildConflicts:	xorg-x11-drv-fglrx
BuildConflicts:	xorg-x11-drv-nvidia
BuildConflicts:	xorg-x11-drv-nvidia-legacy
BuildConflicts:	xorg-x11-drv-nvidia-legacy96xx

# circular dependency, build SDL - DirectFB -SDL to resolve
BuildRequires: SDL-devel

#Automatically resolved build dependencies
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libvncserver-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: mesa-libGL-devel
BuildRequires: sysfsutils-devel
BuildRequires: zlib-devel

# Prevent old versions of DirectFB from being drawn in the hard way
BuildConflicts: DirectFB-devel < %{version}
BuildConflicts: DirectFB < %{version}

%description
DirectFB is a thin library that provides hardware graphics acceleration,
input device handling and abstraction, integrated windowing system with
support for translucent windows and multiple display layers on top of the
Linux Framebuffer Device.

It is a complete hardware abstraction layer with software fallbacks for 
every graphics operation that is not supported by the underlying hardware.
DirectFB adds graphical power to embedded systems and sets a new standard 
for graphics under Linux. 

%package	devel
Summary:	Development files for DirectFB
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header files for developing applications using DirectFB

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%prep
%setup -qn %{name}-%{version}

%build
%configure \
--disable-maintainer-mode \
--enable-shared \
--enable-static \
--enable-fast-install \
--disable-debug \
--enable-zlib \
--enable-sdl \
--enable-video4linux2 \
--with-smooth-scaling
make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO

%_libdir/libdirectfb-*.so.*
%_libdir/directfb-%{install_version}
%_libdir/libdirect-*.so.*
%_libdir/libfusion-*.so.*

%_datadir/directfb-%{version}

%_bindir/dfbdump
%_bindir/dfbfx
%_bindir/dfbg
%_bindir/dfbinfo
%_bindir/dfbinput
%_bindir/dfbinspector
%_bindir/dfblayer
%_bindir/dfbmaster
%_bindir/dfbpenmount
%_bindir/dfbscreen
%_bindir/mkdfiff
%_bindir/mkdgiff
%_bindir/mkdgifft
%_bindir/pxa3xx_dump

%_mandir/man1/dfbg.1*
%_mandir/man5/directfbrc.5*

%files devel
%defattr(-,root,root,-)
%doc docs/html/*
%_bindir/directfb-config
%_bindir/directfb-csource

%_includedir/directfb
%_includedir/directfb-internal

%_mandir/man1/directfb-csource.1*

%_pkgconfig

%_libdir/libdirectfb.so
%_libdir/libdirectfb.a
%_libdir/libdirectfb.la
%_libdir/libdirect.so
%_libdir/libdirect.a
%_libdir/libdirect.la
%_libdir/libfusion.so
%_libdir/libfusion.a
%_libdir/libfusion.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jan 02 2011 Karsten Brockmann <arcam@ccux-linux.de> 1.4.11-1
- Version update
* Sat Aug 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.5-1
- Version update
* Thu Aug 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.4.1-1
- Version update
* Sat Apr 18 2009 Christian Wasem <wasem@ccux-linux.de> 1.3.0-1
- Version update, removed patch for sysfs
* Thu Dec 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.25.1-1
- Version update
* Sun Mar 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.24-2
- added missing symlinks
* Sun Jan 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.24-1
- Initial Release
